summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHanno <hanno@gentoo.org>2019-09-16 08:56:33 +0200
committerHanno <hanno@gentoo.org>2019-09-16 08:56:56 +0200
commit43118e7c7d9156330ffae5af916182728f10e658 (patch)
tree829daf447ffe964719c738fb41c7fdfb71129eba
parentsys-kernel/vanilla-sources: Automated version bump to {4.4.193,4.9.193,4.14.1... (diff)
downloadgentoo-43118e7c7d9156330ffae5af916182728f10e658.tar.gz
gentoo-43118e7c7d9156330ffae5af916182728f10e658.tar.bz2
gentoo-43118e7c7d9156330ffae5af916182728f10e658.zip
dev-python/pyClamd: Add python 3.7 support.
Add myself as maintainer. Bug: https://bugs.gentoo.org/694280 Signed-off-by: Hanno Boeck <hanno@gentoo.org> Package-Manager: Portage-2.3.76, Repoman-2.3.17
-rw-r--r--dev-python/pyClamd/metadata.xml4
-rw-r--r--dev-python/pyClamd/pyClamd-0.4.0-r1.ebuild26
2 files changed, 29 insertions, 1 deletions
diff --git a/dev-python/pyClamd/metadata.xml b/dev-python/pyClamd/metadata.xml
index bfc26d648e7..9e0c0672b1c 100644
--- a/dev-python/pyClamd/metadata.xml
+++ b/dev-python/pyClamd/metadata.xml
@@ -1,7 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>hanno@gentoo.org</email>
+ </maintainer>
<upstream>
<remote-id type="pypi">pyClamd</remote-id>
</upstream>
diff --git a/dev-python/pyClamd/pyClamd-0.4.0-r1.ebuild b/dev-python/pyClamd/pyClamd-0.4.0-r1.ebuild
new file mode 100644
index 00000000000..dfcc0c76b5e
--- /dev/null
+++ b/dev-python/pyClamd/pyClamd-0.4.0-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="python interface to Clamd (Clamav daemon)"
+HOMEPAGE="https://xael.org/pages/pyclamd-en.html"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -e 's:/etc/clamav/clamd.conf:/etc/clamd.conf:' \
+ -i pyclamd/pyclamd.py || die
+}